commit 1d0607db4556b8b42eec4a956f2db9d91f28b95d
Author: freddy77 <freddy77>
Date:   Fri Jul 30 07:34:06 2010 +0000

    simplify tds_get_byte

diff --git a/ChangeLog b/ChangeLog
index 8afc970..e656a36 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Fri Jul 30 09:33:51 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/read.c: simplify tds_get_byte
+
 Fri Jul 30 09:29:34 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/tds.h src/tds/login.c src/tds/net.c:
 	- remove oserr from tds_socket
@@ -2782,4 +2785,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3100 2010/07/30 07:29:48 freddy77 Exp $
+$Id: ChangeLog,v 1.3101 2010/07/30 07:34:06 freddy77 Exp $
diff --git a/src/tds/read.c b/src/tds/read.c
index 2a38f51..9e5fad0 100644
--- a/src/tds/read.c
+++ b/src/tds/read.c
@@ -1,6 +1,6 @@
 /* FreeTDS - Library of routines accessing Sybase and Microsoft databases
  * Copyright (C) 1998, 1999, 2000, 2001, 2002, 2003, 2004  Brian Bruns
- * Copyright (C) 2005, 2006, 2007  Frediano Ziglio
+ * Copyright (C) 2005, 2006, 2007, 2010  Frediano Ziglio
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Library General Public
@@ -47,7 +47,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: read.c,v 1.111 2009/08/20 17:50:05 freddy77 Exp $");
+TDS_RCSID(var, "$Id: read.c,v 1.112 2010/07/30 07:34:06 freddy77 Exp $");
 
 static int read_and_convert(TDSSOCKET * tds, const TDSICONV * char_conv,
 			    size_t * wire_size, char **outbuf, size_t * outbytesleft);
@@ -69,13 +69,9 @@ static int read_and_convert(TDSSOCKET * tds, const TDSICONV * char_conv,
 unsigned char
 tds_get_byte(TDSSOCKET * tds)
 {
-	int rc;
-
 	while (tds->in_pos >= tds->in_len) {
-		do {
-			if (IS_TDSDEAD(tds) || (rc = tds_read_packet(tds)) < 0)
-				return 0;
-		} while (!rc);
+		if (tds_read_packet(tds) < 0)
+			return 0;
 	}
 	return tds->in_buf[tds->in_pos++];
 }

